﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS6000 (1 yr) Delay Match IEEE /9500+5Ch+S6
DATE:                  2018-09-10 11:12:59
AUTHOR:                Fluke
REVISION:              $Revision: 24954 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       180
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#        DAC, ZY
#
#  Source:
#        Tektronix TDS6000 Series Service Manual,
#        Performance Verification, and Specifications
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         DELAY MATCH BETWEEN CHANNELS
  1.003  TARGET
# Reset DUT to factory settings, configure for these series of tests
  1.004  CALL         Sub Tek TDS6000 Recall Factory Setup IEEE
  1.005  JMPL         END                          @Abort
  1.006  IEEE         HOR:MAIN:SCALE 125E-12
  1.006  IEEE         CURSOR:FUNCTION PAIRED;MODE INDEPENDENT
  1.007  MATH         @Cmd = "ACQ:MODE AVERAGE;NUMAVG 16"
  1.008  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  1.009  JMPL         END                          @Abort

# This test requires the measurement of all four channels while triggering on
# Channel 1.  We have to display each waveform and walk up the waveform and
# read the voltage until we reach the zero crossing point.  We would have
# liked to store each waveform in reference memory and make a delta time
# measurement with the cursors.  Unfortunately, the cursors have to track
# one waveform at a time, and there are no commands to automate this
# function any better.

# First set of measurements.
  1.010  MATH         L[25] = 1

  1.011  LABEL        DELAY_CHANNEL_1
  1.012  HEAD         -2 Channel 1
  1.013  M9500                       CH12
  1.014  MATH         M[100] = 12

  1.015  DO
  1.016  IEEE         SELECT:CH1 ON;CH2 OFF;CH3 OFF;CH4 OFF
  1.017  IEEE         CURSOR:SOURCE CH1;STATE ON
  1.017  IEEE         ACQ:STOPAFTER RUNSTOP;STATE RUN
  1.018  9500         800mVpp                      500MH          LS    S  L
  1.019  CALL         Sub Tek TDS6000 Check for Trigger IEEE
  1.020  UNTIL        @Triggered

  1.021  MATH         @Cmd = "ACQ:STOPAFTER SEQUENCE;STATE RUN"
  1.022  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  1.023  JMPL         END                          @Abort
# Set horizontal starting position, increment, and targer for Cursor Walker.
# 2.5ns is the minimum cursor increment for 125ns/div horizontal setting.
  1.024  MATH         M[1] = -50E-12; M[2] = 2.5E-12; M[4] = 0.0
  1.025  CALL         Sub Tek TDS6000 Cursor Walker IEEE
  1.026  JMPL         END                          @Abort
  1.027  MATH         L[21] = MEM

  1.028  HEAD         -2 Channel 2

  1.029  DO
  1.030  IEEE         SELECT:CH1 OFF;CH2 ON;CH3 OFF;CH4 OFF
  1.031  IEEE         CURSOR:SOURCE CH2
  1.032  IEEE         ACQ:STOPAFTER RUNSTOP;STATE RUN
  1.033  9500         800mVpp                      500MH          LS    S  L
  1.034  CALL         Sub Tek TDS6000 Check for Trigger IEEE
  1.035  UNTIL        @Triggered

  1.036  MATH         @Cmd = "ACQ:STOPAFTER SEQUENCE;STATE RUN"
  1.037  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  1.038  JMPL         END                          @Abort
  1.039  MATH         M[1] = -50E-12; M[2] = 2.5E-12; M[4] = 0.0
  1.040  CALL         Sub Tek TDS6000 Cursor Walker IEEE
  1.041  JMPL         END                          @Abort
  1.042  MATH         L[22] = MEM

  1.043  HEAD         -2 Channel 3
  1.044  M9500                       CH13
  1.045  MATH         M[100] = 13

  1.046  DO
  1.049  IEEE         SELECT:CH1 OFF;CH2 OFF;CH3 ON;CH4 OFF
  1.050  IEEE         CURSOR:SOURCE CH3
  1.051  IEEE         ACQ:STOPAFTER RUNSTOP;STATE RUN
  1.052  9500         800mVpp                      500MH          LS    S  L
  1.053  CALL         Sub Tek TDS6000 Check for Trigger IEEE
  1.054  UNTIL        @Triggered

  1.055  MATH         @Cmd = "ACQ:STOPAFTER SEQUENCE;STATE RUN"
  1.056  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  1.057  JMPL         END                          @Abort
  1.058  MATH         M[1] = -50E-12; M[2] = 2.5E-12; M[4] = 0.0
  1.059  CALL         Sub Tek TDS6000 Cursor Walker IEEE
  1.060  JMPL         END                          @Abort
  1.061  MATH         L[23] = MEM

  1.062  HEAD         DELAY: Channel 4
  1.063  M9500                       CH14
  1.064  MATH         M[100] = 14

  1.065  DO
  1.068  IEEE         SELECT:CH1 OFF;CH2 OFF;CH3 OFF;CH4 ON
  1.069  IEEE         CURSOR:SOURCE CH4
  1.069  IEEE         ACQ:STOPAFTER RUNSTOP;STATE RUN
  1.070  9500         800mVpp                      500MH          LS    S  L
  1.071  CALL         Sub Tek TDS6000 Check for Trigger IEEE
  1.072  UNTIL        @Triggered

  1.073  MATH         @Cmd = "ACQ:STOPAFTER SEQUENCE;STATE RUN"
  1.074  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  1.075  JMPL         END                          @Abort
  1.076  MATH         M[1] = -50E-12; M[2] = 2.5E-12; M[4] = 0.0
  1.077  CALL         Sub Tek TDS6000 Cursor Walker IEEE
  1.078  JMPL         END                          @Abort
  1.079  MATH         L[24] = MEM
  1.080  9500         *                                                 S

# Jump to compare readings if two sets of data have been taken.

  1.081  JMPL         CHECK_DELAY_MATCH            L[25] > 1

# Save the first set of readings and take another.
  1.082  MATH         L[11] = L[21]
  1.083  MATH         L[12] = L[22]
  1.084  MATH         L[13] = L[23]
  1.085  MATH         L[14] = L[24]
  1.086  MATH         L[25] = L[25] + 1
  1.087  JMPL         DELAY_CHANNEL_1

  1.088  LABEL        CHECK_DELAY_MATCH
# Calculate the skew between channels
# Calcualte the average skew between channel 1 & 2
  1.089  MATH         L[26] = (ABS(L[21] - L[22]) + ABS(L[11] - L[12])) / 2
# Calculate the average skew between channel 1 & 3
  1.090  MATH         L[27] = (ABS(L[21] - L[23]) + ABS(L[11] - L[13])) / 2
# Calculate the average skew between channel 1 & 4
  1.091  MATH         L[28] = (ABS(L[21] - L[24]) + ABS(L[11] - L[14])) / 2
# Calculate the greatest amount of skew
  1.092  MATH         MEM = MAX_L(26, 28) / 1E-12
  1.093  EVAL   -e MEM <= 30 : DELAY MATCH BETWEEN CHANNELS

  2.001  LABEL        END
  2.002  HEAD         -2
  2.003  9500         *                                                 S
  2.004  M9500        *
  2.005  HEAD
  2.006  END
