﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS 6404,6604 (1 yr) VER IEEE /9500+5Ch+G3,6681
DATE:                  2018-09-10 08:59:28
AUTHOR:                Fluke
REVISION:              $Revision: 18126 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       559
CONFIGURATION:         Datron 9500 (C5,G3)
CONFIGURATION:         Datron 9530 on channel 1
CONFIGURATION:         Datron 9530 on channel 2
CONFIGURATION:         Datron 9530 on channel 3
CONFIGURATION:         Datron 9530 on channel 4
CONFIGURATION:         Fluke 9560 on channel 5
CONFIGURATION:         Philips PM 6681
=============================================================================
#
#  Procedure Author:  DAC, ZY
#
#  Source:            Tektronix TDS6000 Series Service Manual,
#                     Performance Verification, and Specifications
#
#  Compatibility:     MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#                     5 ea. Adapter, Right Angle, SMA (f)-(m), Pomona
#                           Model No. 4282 or equivalent
#                     4 ea. Adapter, SMA (m) to BNC (f), Pomona Model
#                           No. 4290 or equivalent
#                     2 ea. Tee, SMA, (f)-(m)-(f)
#                     2 ea. Cable assy., 20", SMA (m)-(m), Tektronix
#                           Part No. 174-1427-00 or equivalent
#                     2 ea. Shorting Cap, SMA (m), Pomona Model No. 5088
#                     2 ea. Adapter, SMA (f)-(f), Pomona Model No. 4285
#                     1 ea. Attenuator, 6 dB,  SMA (f)-(m)
#                     1 ea. Attenuator, 20 dB, SMA (f)-(m)
#                     1 ea. Cable assy., 36", BNC (m)-(m)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
# GLOBAL PROCEDURE VARIABLES:
#
#   M[1]
#     This variable is used in the Trigger Section of the procedure to store
#     temporary values of MEM.  This section is part of a feedback loop which
#     is used to adjust the 9500 to the proper amplitude.
#
#   M[2]
#     This variable is used in the Trigger Section of the procedure to
#     calculate how much the 9500 will be adjusted in the feedback loop.
#     This variable is also used in the bandwidth tests.
#
#   M[3]
#     This variable is used in the main triggering section to help determine
#     whether the scope is making a correct type of measurement.   This
#     variable sets the starting trigger level also.
#
#   M[4]
#     This variable is used to store a value to be to be compared later
#
#   M[5]
#     This variable is used to store a value to be to be compared later
#
#   M[7]
#     This wariable is used to determine whether the scope has triggered
#     properly and is used with the JMPL FSC.
#
#   M[8]
#     This variable is used during the TIMEBASE test to store vertical
#     cursor information.
#
#   M[9]
#     This variable is used during the TIMEBASE test to store horizontal
#     cursor information.
#
#   M[10]
#     This variable is used in the subprocedure status check to set the
#     watchdog timer in the event the oscillscope does not respond to a
#     status command.   THIS VARIABLE IS SOMETIMES USED IN THE MAIN PROCEDURE
#     as a Watchdog timer also.
#
#   BackupMEM
#     This variable is used to store the value of MEM
#
#   BackupMEM1
#     This variable is used to store the value of MEM1
#
#   M[13]
#     This variable is used during the Timebase Test to manipulate the
#     cursors.
#
#   M[17]
#     This variable is used to store the desired resolution of a measurement.
#     This value is then passed to the SUB Status Check for calculations.
#
#   M[100]
#     This register specifies which channel of the oscilloscope
#     is currently in use.
#
#   MEM2
#     This variable is used to pass commands to the Sub Status Check.  This is
#     used with the READING Flag.  The benefit of using this technique is the
#     ability to reduce the amout of dedicated programs.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         1Vpp                         3GH            LS    S  L
  1.004  M9500                       CH2
  1.005  9500         1Vpp                         3GH            LS    S  L
  1.006  M9500                       CH3
  1.007  9500         1Vpp                         3GH            LS    S  L
  1.008  M9500                       CH4
  1.009  9500         1Vpp                         3GH            LS    S  L
  1.010  M9500                       CH5
  1.011  9500         6GH                          100mV          LS    S  L
  1.012  6681         *                                                 S
  1.013  ENDIF

  1.014  ASK-   R   Q N              P                                     V

  1.015  IF           NOT(VERSIONCHECK("8.0"))
  1.016  END
  1.017  ENDIF

  1.018  CALL         Sub Display Copyright
  1.019  CALL         Sub DUT Connection GPIB
  1.020  CALL         Sub IEEE-488.2 Identification Query IEEE FSC

  1.021  IF           NOT(ZCMPI(@UUT_ModelNum, @ModelNum))
  1.022  DISP         DUT is a [V @ModelNum], not a [V @UUT_ModelNum].
  1.023  END
  1.024  ENDIF

  1.025  CALL         Sub High Voltage Safety Warning
  1.026  CALL         Sub Select Failed Test Mode
  1.027  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.028  HEAD         PRELIMINARY INSTRUCTIONS
  1.029  DISP         Ensure a DUT warm-up time of 20 minutes has been
  1.029  DISP         allowed to elapse, prior to proceeding.

  1.030  HEAD         EQUIPMENT REQUIREMENTS
  1.031  OPBR         -z Do you want to review the list of additional
  1.031  OPBR         equipment and/or accessories required?

  1.032  IF           MEM1
  1.033  DISP         The following additional equipment and/or
  1.033  DISP         accessories are required:
  1.033  DISP
  1.033  DISP         - 5 ea., Adapter, Right Angle, SMA (f)-(m), Pomona
  1.033  DISP         [32]        Model No. 4282 or equivalent
  1.033  DISP         - 4 ea., Adapter, SMA (m) to BNC (f), Pomona Model
  1.033  DISP         [32]        No. 4290 or equivalent
  1.033  DISP         - 2 ea., Tee, SMA (f)-(m)-(f)
  1.034  DISP         - 2 ea., Cable assy., 20", SMA (m)-(m), Tektronix
  1.034  DISP         [32]        Part No. 174-1427-00 or equivalent
  1.034  DISP         - 2 ea., Shorting Cap, SMA (m), Pomona Model No. 5088
  1.034  DISP         - 2 ea., Adapter, SMA (f)-(f), Pomona Model No. 4285
  1.034  DISP         - 1 ea., Attenuator, 6 dB,  SMA (f)-(m)
  1.034  DISP         - 1 ea., Attenuator, 20 dB, SMA (f)-(m)
  1.034  DISP         - 1 ea., Cable assy., 36", BNC (m)-(m)
  1.035  ENDIF

  1.036  HEAD

  1.037  CALL         Sub Tek TDS6000 Recall Factory Setup IEEE
  1.038  JMPL         END                          @Abort

  1.039  OPBR         -z Do you wish to perform DUT Self Tests?

  1.040  IF           MEM1
  1.041  CALL         Sub Tek TDS6000 Self-Test IEEE
  1.042  ELSE
  1.043  RSLT         =
  1.044  RSLT         =SELF TEST: Not performed
  1.045  ENDIF

  1.046  JMPL         END                          @Abort

  1.047  OPBR         -z Do you wish to perform DUT Signal Path Compensation
  1.047  OPBR         Calibration?

  1.048  IF           MEM1
  1.049  CALL         Sub Tek TDS6000 Sig Path Comp Cal IEEE /9500
  1.050  RSLT         =
  1.051  RSLT         =SIGNAL PATH COMPENSATION: Not performed
  1.052  ELSE
  1.053  ENDIF

  1.054  JMPL         END                          @Abort

  1.055  HEAD         PLEASE NOTE!
  1.056  DISP         Throughout this procedure, many connections are made
  1.056  DISP         to the DUT via BNC(f) to SMA(m) adapters. Due to the
  1.056  DISP         nature of these adapters, EXTREME CAUTION should be
  1.056  DISP         exercised in order to avoid exerting excessive torque
  1.056  DISP         or crossthreading during interconnection. In lieu of
  1.056  DISP         using the BNC(f) to SMA(m) adapters, the Tektronix
  1.056  DISP         TekConnect® TCA-BNC input modules may be used, where
  1.056  DISP         appropriate.
  1.057  HEAD

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.058  RSLT         =
  1.059  HEAD         {DC VOLTAGE MEASUREMENT}
  1.060  MATH         M[100] = 1
  1.061  M9500                       CH1
  1.062  CALL         Sub Tek TDS6000 (1 yr) DC Voltage IEEE /9500
  1.063  JMPL         END                          @Abort

  1.064  MATH         M[100] = 2
  1.065  M9500                       CH2
  1.066  CALL         Sub Tek TDS6000 (1 yr) DC Voltage IEEE /9500
  1.067  JMPL         END                          @Abort

  1.068  MATH         M[100] = 3
  1.069  M9500                       CH3
  1.070  CALL         Sub Tek TDS6000 (1 yr) DC Voltage IEEE /9500
  1.071  JMPL         END                          @Abort

  1.072  MATH         M[100] = 4
  1.073  M9500                       CH4
  1.074  CALL         Sub Tek TDS6000 (1 yr) DC Voltage IEEE /9500
  1.075  JMPL         END                          @Abort

  1.076  RSLT         =
  1.077  HEAD         {OFFSET}
  1.078  MATH         M[100] = 1
  1.079  M9500                       CH1
  1.080  CALL         Sub Tek TDS6000 (1 yr) Offset IEEE /9500
  1.081  JMPL         END                          @Abort

  1.082  MATH         M[100] = 2
  1.083  M9500                       CH2
  1.084  CALL         Sub Tek TDS6000 (1 yr) Offset IEEE /9500
  1.085  JMPL         END                          @Abort

  1.086  MATH         M[100] = 3
  1.087  M9500                       CH3
  1.088  CALL         Sub Tek TDS6000 (1 yr) Offset IEEE /9500
  1.089  JMPL         END                          @Abort

  1.090  MATH         M[100] = 4
  1.091  M9500                       CH4
  1.092  CALL         Sub Tek TDS6000 (1 yr) Offset IEEE /9500
  1.093  JMPL         END                          @Abort

  1.094  RSLT         =
  1.095  HEAD         {MAXIMUM INPUT VOLTAGE}
  1.096  MATH         M[100] = 1
  1.097  M9500                       CH1
  1.098  CALL         Sub Tek TDS6000 (1 yr) Max Input Voltage IEEE /9500
  1.099  JMPL         END                          @Abort

  1.100  MATH         M[100] = 2
  1.101  M9500                       CH2
  1.102  CALL         Sub Tek TDS6000 (1 yr) Max Input Voltage IEEE /9500
  1.103  JMPL         END                          @Abort

  1.104  MATH         M[100] = 3
  1.105  M9500                       CH3
  1.106  CALL         Sub Tek TDS6000 (1 yr) Max Input Voltage IEEE /9500
  1.107  JMPL         END                          @Abort

  1.108  MATH         M[100] = 4
  1.109  M9500                       CH4
  1.110  CALL         Sub Tek TDS6000 (1 yr) Max Input Voltage IEEE /9500
  1.111  JMPL         END                          @Abort

  1.112  DISP         Using a blunt instrument, acknowledge and clear
  1.112  DISP         the input overload prompts that appear on the
  1.112  DISP         DUT screen.
  1.113  JMPL         DELAY_MATCH

  1.114  LABEL        ANALOG_BANDWIDTH
  1.115  RSLT         =
  1.116  HEAD         {ANALOG BANDWIDTH}
  1.117  DISP         Connect CH 5 Active Head and input module to DUT CH 1.
  1.117  DISP
  1.117  DISP         If not already in use, the Tektronix TekConnect®
  1.117  DISP         TCA-SMA input modules MUST BE USED throughout the
  1.117  DISP         bandwidth tests!
  1.118  MATH         M[100] = 1
  1.119  CALL         Sub Tek TDS6000 (1 yr) Bandwidth IEEE /9500+5Ch+G3
  1.120  JMPL         END                          @Abort
  1.121  JMPL         CH1_CHANNEL_ISOLATION

  1.122  LABEL        CH2_ANALOG_BANDWIDTH
  1.123  DISP         Remove CH 2 input module from DUT.
  1.123  DISP
  1.123  DISP         Leaving CH 5 Active Head connected to the DUT CH 1
  1.123  DISP         input module, move the entire Active Head/input
  1.123  DISP         module combination from the DUT CH 1 to CH 2.
  1.123  DISP
  1.123  DISP         Insert unused input module into DUT CH 1.
  1.124  MATH         M[100] = 2
  1.125  CALL         Sub Tek TDS6000 (1 yr) Bandwidth IEEE /9500+5Ch+G3
  1.126  JMPL         END                          @Abort
  1.127  JMPL         CH2_CHANNEL_ISOLATION

  1.128  LABEL        CH3_ANALOG_BANDWIDTH
  1.129  DISP         Remove CH 3 input module from DUT.
  1.129  DISP
  1.129  DISP         Leaving CH 5 Active Head connected to the DUT CH 2
  1.129  DISP         input module, move the entire Active Head/input
  1.129  DISP         module combination from the DUT CH 2 to CH 3.
  1.129  DISP
  1.129  DISP         Insert unused input module into DUT CH 2.
  1.130  MATH         M[100] = 3
  1.131  CALL         Sub Tek TDS6000 (1 yr) Bandwidth IEEE /9500+5Ch+G3
  1.132  JMPL         END                          @Abort
  1.133  JMPL         CH3_CHANNEL_ISOLATION

  1.134  LABEL        CH4_ANALOG_BANDWIDTH
  1.135  DISP         Remove CH 3 input module from DUT.
  1.135  DISP
  1.135  DISP         Leaving CH 5 Active Head connected to the DUT CH 3
  1.135  DISP         input module, move the entire Active Head/input
  1.135  DISP         module combination from the DUT CH 3 to CH 4.
  1.135  DISP
  1.135  DISP         Insert unused input module into DUT CH 3.
  1.136  MATH         M[100] = 4
  1.137  CALL         Sub Tek TDS6000 (1 yr) Bandwidth IEEE /9500+5Ch+G3
  1.138  JMPL         END                          @Abort
  1.139  JMPL         CH4_CHANNEL_ISOLATION

  1.140  LABEL        DELAY_MATCH
  1.141  CALL         Sub Tek TDS6000 (1 yr) Delay Match IEEE /9500+5Ch+S6
  1.142  JMPL         END                          @Abort
  1.143  JMPL         INPUT_IMPEDANCE

  1.144  LABEL        CH1_CHANNEL_ISOLATION
  1.145  RSLT         =
  1.146  HEAD         {CHANNEL ISOLATION (CROSSTALK)}
# M[100] is the signal channel, the rest are the test channels.
  1.147  MATH         M[100] = 1; M[101] = 2; M[102] = 3; M[103] = 4
  1.148  CALL         Sub Tek TDS6000 (1 yr) Ch Isolation IEEE /9500+5Ch+G3
  1.149  JMPL         END                          @Abort
  1.150  JMPL         CH2_ANALOG_BANDWIDTH

  1.151  LABEL        CH2_CHANNEL_ISOLATION
  1.152  MATH         M[100] = 2; M[101] = 1; M[102] = 3; M[103] = 4
  1.153  CALL         Sub Tek TDS6000 (1 yr) Ch Isolation IEEE /9500+5Ch+G3
  1.154  JMPL         END                          @Abort
  1.155  JMPL         CH3_ANALOG_BANDWIDTH

  1.156  LABEL        CH3_CHANNEL_ISOLATION
  1.157  MATH         M[100] = 3; M[101] = 1; M[102] = 2; M[103] = 4
  1.158  CALL         Sub Tek TDS6000 (1 yr) Ch Isolation IEEE /9500+5Ch+G3
  1.159  JMPL         END                          @Abort
  1.160  JMPL         CH4_ANALOG_BANDWIDTH

  1.161  LABEL        CH4_CHANNEL_ISOLATION
  1.162  MATH         M[100] = 4; M[101] = 1; M[102] = 2; M[103] = 3
  1.163  CALL         Sub Tek TDS6000 (1 yr) Ch Isolation IEEE /9500+5Ch+G3
  1.164  JMPL         END                          @Abort

  1.165  DISP         Disconnect CH 5 Active Head from CH 4 input module.
  1.166  JMPL         PULSE_TRIGGER

  1.167  LABEL        INPUT_IMPEDANCE
  1.168  RSLT         =
  1.169  HEAD         {INPUT IMPEDANCE}
  1.170  MATH         M[100] = 1
  1.171  M9500                       CH1
  1.172  CALL         Sub Tek TDS6000 (1 yr) Input Impedance IEEE /9500
  1.173  JMPL         END                          @Abort

  1.174  MATH         M[100] = 2
  1.175  CALL         Sub Tek TDS6000 (1 yr) Input Impedance IEEE /9500
  1.176  JMPL         END                          @Abort

  1.177  MATH         M[100] = 3
  1.178  CALL         Sub Tek TDS6000 (1 yr) Input Impedance IEEE /9500
  1.179  JMPL         END                          @Abort

  1.180  MATH         M[100] = 4
  1.181  CALL         Sub Tek TDS6000 (1 yr) Input Impedance IEEE /9500
  1.182  JMPL         END                          @Abort
  1.183  JMPL         TRIGGER_SENSITIVITY

  1.184  LABEL        REF_OUT
  1.185  CALL         Sub Tek TDS6000 (1 yr) Ref Out IEEE /6681
  1.186  JMPL         END                          @Abort
  1.187  JMPL         PROBE_COMP_OUTPUT

  1.188  LABEL        DELTA_TIME
  1.189  RSLT         =
  1.190  HEAD         {DELTA_TIME}

  1.191  DO
  1.192  PIC          tds6000_delta_time_9530.jpg
  1.193  OPBR         -z In the DELTA TIME connections just completed,
  1.193  OPBR         20" cables MUST be used to achieve the proper
  1.193  OPBR         test results.
  1.193  OPBR
  1.193  OPBR         Were the specified cables used?
  1.194  UNTIL        MEM1

  1.195  MATH         M[100] = 1
  1.196  CALL         Sub Tek TDS6000 (1 yr) Delta Time IEEE /9500
  1.197  JMPL         END                          @Abort

  1.198  DISP         Leaving CH 5 Active Head connected to the input module,
  1.198  DISP         disconnect the assembly from the DUT.
  1.198  DISP
  1.198  DISP         Move CH 2 input module to DUT CH 1.
  1.198  DISP
  1.198  DISP         Insert CH 5 Active Head and input module into DUT CH 2.
  1.199  MATH         M[100] = 2
  1.200  CALL         Sub Tek TDS6000 (1 yr) Delta Time IEEE /9500
  1.201  JMPL         END                          @Abort

  1.202  DISP         Leaving CH 5 Active Head connected to the input module,
  1.202  DISP         disconnect the assembly from the DUT.
  1.202  DISP
  1.202  DISP         Move CH 3 input module to DUT CH 2.
  1.202  DISP
  1.202  DISP         Insert CH 5 Active Head and input module into DUT CH 3.
  1.203  MATH         M[100] = 3
  1.204  CALL         Sub Tek TDS6000 (1 yr) Delta Time IEEE /9500
  1.205  JMPL         END                          @Abort

  1.206  DISP         Leaving CH 5 Active Head connected to the input module,
  1.206  DISP         disconnect the assembly from the DUT.
  1.206  DISP
  1.206  DISP         Move CH 4 input module to DUT CH 3.
  1.206  DISP
  1.206  DISP         Insert CH 5 Active Head and input module into DUT CH 4.
  1.207  MATH         M[100] = 4
  1.208  CALL         Sub Tek TDS6000 (1 yr) Delta Time IEEE /9500
  1.209  JMPL         END                          @Abort

  1.210  DISP         Remove all connections to CH 4 input module.
  1.211  JMPL         ANALOG_BANDWIDTH

  1.212  LABEL        PULSE_TRIGGER
  1.213  CALL         Sub Tek TDS6000 (1 yr) Pulse Trigger IEEE /9500+5Ch+G3
  1.214  JMPL         END                          @Abort
  1.215  JMPL         REF_OUT

  1.216  LABEL        TRIGGER_SENSITIVITY
  1.217  RSLT         =
  1.218  HEAD         {TRIGGER SENSITIVITY}
  1.219  DISP         Disconnect CH 4 Active Head from DUT CH 4 input module.
  1.219  DISP
  1.219  DISP         Connect CH 4 Active Head to DUT AUX INPUT using a
  1.219  DISP         50 Ω feedthrough termination.
  1.220  MATH         M[100] = 1
  1.221  M9500                       CH1
  1.222  CALL         Sub Tek TDS6000 (1 yr) Trig Sens IEEE /9500+5Ch+G3
  1.223  JMPL         END                          @Abort

  1.224  OPBR         -z Do you wish to check trigger sensitivity using
  1.224  OPBR         DUT input channel 2?

  1.225  IF           MEM1
  1.226  MATH         M[100] = 2
  1.227  M9500                       CH2
  1.228  CALL         Sub Tek TDS6000 (1 yr) Trig Sens IEEE /9500+5Ch+G3
  1.229  ENDIF

  1.230  JMPL         END                          @Abort

  1.231  OPBR         -z Do you wish to check trigger sensitivity using
  1.231  OPBR         DUT input channel 3?

  1.232  IF           MEM1
  1.233  MATH         M[100] = 3
  1.234  M9500                       CH3
  1.235  CALL         Sub Tek TDS6000 (1 yr) Trig Sens IEEE /9500+5Ch+G3
  1.236  ENDIF

  1.237  JMPL         END                          @Abort

  1.238  OPBR         -z Do you wish to check trigger sensitivity using
  1.238  OPBR         DUT input channel 4?

  1.239  IF           MEM1
  1.240  DISP         Disconnect CH 4 Active Head from the 50 Ohm termination.
  1.240  DISP
  1.240  DISP         Connect CH 4 Active Head to DUT CH 4 input module.
  1.240  DISP
  1.240  DISP         Connect CH 3 Active Head to the 50 Ohm termination
  1.240  DISP         connected to the DUT AUX INPUT.
  1.241  MATH         M[100] = 4
  1.242  M9500                       CH4
  1.243  CALL         Sub Tek TDS6000 (1 yr) Trig Sens IEEE /9500+5Ch+G3
  1.244  DISP         Disconnect CH 3 Active Head from the 50 Ohm termination.
  1.244  DISP
  1.244  DISP         Connect CH 3 Active Head to DUT CH 3 input module.
  1.244  DISP
  1.244  DISP         Disconnect the 50 Ohm termination from the DUT
  1.244  DISP         AUX INPUT.
  1.245  ELSE
  1.246  DISP         Disconnect CH 4 Active Head from the 50 Ohm termination.
  1.246  DISP
  1.246  DISP         Connect CH 4 Active Head to DUT CH 4 input module.
  1.246  DISP
  1.246  DISP         Disconnect the 50 Ohm termination from the DUT
  1.246  DISP         AUX INPUT.
  1.247  ENDIF

  1.248  JMPL         END                          @Abort

  1.249  CALL         Sub Tek TDS6000 (1 yr) Output Signals IEEE /9500
  1.250  JMPL         END                          @Abort

  1.251  DISP         Disconnect all Active Heads from DUT input modules.
  1.252  JMPL         DELTA_TIME

  1.253  LABEL        PROBE_COMP_OUTPUT
  1.254  CALL         Sub Tek TDS6000 (1 yr) Probe Comp Output IEEE /6681
  1.255  JMPL         END

  1.256  LABEL        ABORT
  1.257  HEAD         P R O C E D U R E   A B O R T E D !

  1.258  LABEL        END
  1.259  END
